> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usetuner.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Providers

> List the voice providers Tuner supports.

Each provider's `name` is the value to pass as `provider_name` when creating
or updating an agent.



## OpenAPI

````yaml https://api.usetuner.ai/public/openapi.json get /api/v1/providers/
openapi: 3.1.0
info:
  title: My Public API
  version: 1.0.0
servers:
  - url: https://api.usetuner.ai
security: []
tags:
  - name: calls
    x-group: Calls
  - name: workspaces
    x-group: Workspaces
  - name: agent-settings
    x-group: Agent Settings
  - name: agents
    x-group: Agents
  - name: simulation
    x-group: Simulation
  - name: providers
    x-group: Providers
paths:
  /api/v1/providers/:
    get:
      tags:
        - providers
      summary: List Providers
      description: >-
        List the voice providers Tuner supports.


        Each provider's `name` is the value to pass as `provider_name` when
        creating

        or updating an agent.
      operationId: get_all_providers_api_v1_providers__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ProviderResponse'
                type: array
                title: Response Get All Providers Api V1 Providers  Get
      security:
        - Bearer: []
components:
  schemas:
    ProviderResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: ProviderResponse
      description: Response schema for provider.
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Use Tuner API key (tr_api_...) or user session token. Find your API key
        in Workspace Settings > API Keys.
      scheme: bearer

````